# RepositorySingleton class Null safety

Inheritance
  - Object
  - AbstractRepositorySingleton
  - RepositorySingleton

## Constructors

RepositorySingleton()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bookletRepository(String? appId) → BookletRepository?
  override
decoratedContentRepository(String? appId) → DecoratedContentRepository?
  override
dividerRepository(String? appId) → DividerRepository?
  override
documentRepository(String? appId) → DocumentRepository?
  override
dynamicWidgetRepository(String? appId) → DynamicWidgetRepository?
  override
faderRepository(String? appId) → FaderRepository?
  override
flush(String? appId) → void
  inherited
gridRepository(String? appId) → GridRepository?
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
presentationRepository(String? appId) → PresentationRepository?
  override
simpleImageRepository(String? appId) → SimpleImageRepository?
  override
simpleTextRepository(String? appId) → SimpleTextRepository?
  override
toString() → String
  A string representation of this object. [...]
  inherited
tutorialRepository(String? appId) → TutorialRepository?
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited